<!--
    Copyright (c) 2020, 2021 Texas Instruments Incorporated
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:

    *   Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
    *   Neither the name of Texas Instruments Incorporated nor the names of
    its contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
    AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
    THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
    PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
    CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
    EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
    PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
    OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
    EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>gc-widget-icon Demo</title>
	<script nomodule="" src="../../build/gc-components.js"></script>
    <script type="module" src="../../build/gc-components.esm.js"></script>
    <script type="module" src="../../gc-core-databind/lib/CoreDatabind"></script>
    <link rel="stylesheet" type="text/css" href="../../../assets/stylesheets/gc-demo-stylesheet.css">

    <script>
        window.addEventListener('DOMContentLoaded', () => {
            const icon = document.querySelector('#demo_element');

            const iconColor = document.querySelector('#icon_color')
            iconColor.addEventListener('change', () => {
                icon.setCSSProperty('--gc-color', event.target.value);
            });
        });
    </script>
</head>

<body>
    <div id="demo_container">
        <gc-widget-icon id="demo_element" icon="icons:star" size="xl"></gc-widget-icon>
    </div>
    <div id="demo_properties_container">
        <table>
            <tr>
                <th><gc-widget-label label="Property"></gc-widget-label></th>
                <th><gc-widget-label label="Value"></gc-widget-label></th>
            </tr>
            <tr>
                <td><gc-widget-label label="icon"></gc-widget-label></td>
                <td><gc-widget-select id="icon" labels="filled:action:face|outlined:action:face|round:action:face|sharp:action:face|two-tone:action:face" initial-index="0"></gc-widget-select></td>
            </tr>
            <tr>
                <td><gc-widget-label label="path"></gc-widget-label></td>
                <td><gc-widget-input id="path" select-on-focus placeholder="custom icon folder"></gc-widget-input></td>
            </tr>
            <tr>
                <td><gc-widget-label label="size"></gc-widget-label></td>
                <td><gc-widget-select id="size" labels="xxs|xs|s|m|l|xl" initial-index="5"></gc-widget-select></td>
            </tr>
            <tr>
                <td><gc-widget-label label="circle"></gc-widget-label></td>
                <td><gc-widget-checkbox id="circle"></gc-widget-checkbox></td>
            </tr>
            <tr>
                <td><gc-widget-label label="appearance"></gc-widget-label></td>
                <td><gc-widget-select id="appearance" labels="primary|secondary|tertiary|success|warn|error|reversed|custom" initial-index="0"></td>
            </tr>
            <tr>
                <th><gc-widget-label label="Style"></gc-widget-label></th>
                <th><gc-widget-label label="Value"></gc-widget-label></th>
            </tr>
            <tr>
                <td><gc-widget-label label="--gc-color"></gc-widget-label></td>
                <td><input type="color" id="icon_color" value="deeppink" select-on-focus></input></td>
            </tr>
        </table>
    </div>
</body>
</html>